> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bullring.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Balances

> Retrieve account balances.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/ramp/banking/balances
openapi: 3.0.0
info:
  title: Bullring Finance API
  description: >-
    The Bullring Finance API allows you to build powerful cross-border payment
    solutions.
  version: 1.0.0
servers:
  - url: https://api.bullring.finance
    description: Production Server
  - url: https://staging-api.bullring.finance
    description: Sandbox Server
security:
  - x-api-key: []
tags:
  - name: Subaccounts
    description: Operations related to user subaccounts.
  - name: Verification
    description: Endpoints for subaccount verification, including KYC and KYB processes.
  - name: Balances
    description: Endpoints for retrieving account balances.
  - name: Deposits
    description: Endpoints for handling deposits into subaccounts.
  - name: Recipients
    description: Manage payment recipients for withdrawals.
  - name: Withdrawals
    description: Endpoints for handling withdrawals from subaccounts.
  - name: Conversions
    description: Endpoints for currency conversions.
  - name: Rates
    description: Endpoints for currency conversion rates.
  - name: Fees
    description: Endpoints for checking transaction fees.
  - name: Offramp
    description: Endpoints for handling offramp operations.
  - name: Onramp
    description: Endpoints for handling onramp operations.
paths:
  /v1/ramp/banking/balances:
    get:
      tags:
        - Balances
      summary: Get Balances
      description: Retrieve account balances.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  email:
                    type: string
                  balances:
                    type: object
                    properties:
                      usd:
                        type: number
                      ngn:
                        type: number
                      brl:
                        type: number
                      eur:
                        type: number
                      ghs:
                        type: number
                      zmw:
                        type: number
                      tzs:
                        type: number
                      mxn:
                        type: number
                      cop:
                        type: number
                      ars:
                        type: number
                  businessName:
                    type: string
                  status:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
              example:
                id: abc12345-8854-4790-97e0-1fa45a15b672
                email: owneremail@example.com
                balances:
                  usd: 3256775.24
                  ngn: 40538.8
                  brl: 3091.904761
                  eur: 0
                  ghs: 20
                  zmw: 50
                  tzs: 0
                  mxn: 0
                  cop: 0
                  ars: 0
                businessName: Grand Global Company
                status: created
                createdAt: '2025-11-19T16:48:49.565Z'
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````